self: super: {
  polite-merge =
    if builtins.hasAttr "polite-merge" super then
      super.polite-merge
    else
      self.callPackage (
        {
          fetchgit,
          git,
          stdenv,
        }:
        stdenv.mkDerivation rec {
          pname = "polite-merge";
          version = "2.4.2";
          src = fetchgit {
            url = "https://git.scottworley.com/pub/git/polite-merge";
            rev = "v${version}";
            hash = "sha256-CUNKLCwIFwwVaA9opw9yql5AGej/ozQv8k1YR/cfV4I=";
          };
          postUnpack = "patchShebangs .";
          nativeCheckInputs = [ git ];
          doCheck = true;
          preInstall = "export prefix";
        }
      ) { };
}
